curl "https://businessapi-staging-civ.djigui.io/api/v1.0/contract?vehicleId=0f9b2abd-2fe8-4346-b49e-4a6aefd89a89" \
-H "x-api-key: $DJIGUI_API_KEY"
{
"data": [
{
"id": "9e2f4b6a-1c3d-4e5f-8a7b-6c5d4e3f2a1b",
"status": "started",
"policyNumber": "2026.055.401.04217",
"startDate": "2026-11-01",
"endDate": "2027-10-31",
"paymentId": "b4e8a2c6-7d1f-4a3b-9e5c-8f0a1b2c3d4e",
"certificateStatus": "issued",
"quote": { "id": "6c1d8f0e-3b7a-4f5e-9a51-2d0c7e8b4a12", "...": "..." },
"vehicle": { "id": "0f9b2abd-2fe8-4346-b49e-4a6aefd89a89", "...": "..." },
"certificate": { "certificateNumber": "CI-2026-0841736", "...": "..." },
"documents": { "certificateImageUrl": "https://...", "contractDocumentUrl": "https://..." },
"created": "2026-10-20T09:19:47.118Z",
"updated": "2026-11-01T00:10:02.551Z"
}
],
"page": 1,
"limit": 20,
"total": 1
}
Contracts
List contracts
Your company’s contracts, optionally for one vehicle.
GET
/
contract
curl "https://businessapi-staging-civ.djigui.io/api/v1.0/contract?vehicleId=0f9b2abd-2fe8-4346-b49e-4a6aefd89a89" \
-H "x-api-key: $DJIGUI_API_KEY"
{
"data": [
{
"id": "9e2f4b6a-1c3d-4e5f-8a7b-6c5d4e3f2a1b",
"status": "started",
"policyNumber": "2026.055.401.04217",
"startDate": "2026-11-01",
"endDate": "2027-10-31",
"paymentId": "b4e8a2c6-7d1f-4a3b-9e5c-8f0a1b2c3d4e",
"certificateStatus": "issued",
"quote": { "id": "6c1d8f0e-3b7a-4f5e-9a51-2d0c7e8b4a12", "...": "..." },
"vehicle": { "id": "0f9b2abd-2fe8-4346-b49e-4a6aefd89a89", "...": "..." },
"certificate": { "certificateNumber": "CI-2026-0841736", "...": "..." },
"documents": { "certificateImageUrl": "https://...", "contractDocumentUrl": "https://..." },
"created": "2026-10-20T09:19:47.118Z",
"updated": "2026-11-01T00:10:02.551Z"
}
],
"page": 1,
"limit": 20,
"total": 1
}
Returns your company’s contracts, most recent first, paginated.
Query
string
Only this vehicle’s contracts.
integer
default:"1"
integer
default:"20"
1 to 100.
Response
object[]
Contracts, with the fields of Get a contract. Their document links are valid for one hour.
integer
integer
integer
curl "https://businessapi-staging-civ.djigui.io/api/v1.0/contract?vehicleId=0f9b2abd-2fe8-4346-b49e-4a6aefd89a89" \
-H "x-api-key: $DJIGUI_API_KEY"
{
"data": [
{
"id": "9e2f4b6a-1c3d-4e5f-8a7b-6c5d4e3f2a1b",
"status": "started",
"policyNumber": "2026.055.401.04217",
"startDate": "2026-11-01",
"endDate": "2027-10-31",
"paymentId": "b4e8a2c6-7d1f-4a3b-9e5c-8f0a1b2c3d4e",
"certificateStatus": "issued",
"quote": { "id": "6c1d8f0e-3b7a-4f5e-9a51-2d0c7e8b4a12", "...": "..." },
"vehicle": { "id": "0f9b2abd-2fe8-4346-b49e-4a6aefd89a89", "...": "..." },
"certificate": { "certificateNumber": "CI-2026-0841736", "...": "..." },
"documents": { "certificateImageUrl": "https://...", "contractDocumentUrl": "https://..." },
"created": "2026-10-20T09:19:47.118Z",
"updated": "2026-11-01T00:10:02.551Z"
}
],
"page": 1,
"limit": 20,
"total": 1
}